Bug 1797729 - Overlapping text possible on operand details page
Summary: Overlapping text possible on operand details page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1803055
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 18:37 UTC by Samuel Padgett
Modified: 2020-05-13 21:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.3.0-0.ci-2020-01-29-133443 Cluster ID: 2ebfb326-d1fe-4061-a5ce-2858a7a90cf6 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-05-13 21:58:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
Overlapping label text (238.45 KB, image/png)
2020-02-03 18:37 UTC, Samuel Padgett
no flags Details
Long Text Not Overlap (337.66 KB, image/png)
2020-02-21 07:50 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4186 None closed Bug 1797729: fix bug where text can overlap on operand details page 2020-02-21 07:38:25 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:58:53 UTC

Description Samuel Padgett 2020-02-03 18:37:55 UTC
Created attachment 1657409 [details]
Overlapping label text

See screenshot. This is using the Postges primary cluster member CR of the Crunchy PostgeSQL for OpenShift operator. (Note that you will need fix https://github.com/openshift/console/pull/4160 to be able to see the page.)

Comment 2 Yadan Pei 2020-02-21 07:50:18 UTC
Created attachment 1664633 [details]
Long Text Not Overlap

1. Install Appsody Operator 0.3.0 via Operator Hub
2. After operator is successfully installed, browse to Installed Operators -> YAML, change displayName & description value of 'Resource Requirements' to longer string

          - description: >-
              resource requirements for cpu and memory has been updated for
              yapei to verify bug fix
            displayName: Resource Requirements has been updated for yapei to verify bug fix
            path: resourceConstraints
3. Create CR  Appsody Applications
4. Check CR details in a smaller screen size, there is no overlap now for long text

Verified on     4.4.0-0.nightly-2020-02-20-215232

Comment 4 errata-xmlrpc 2020-05-13 21:58:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.